#!/usr/bin/perl
 
########################################################################
# COPYRIGHT NOTICE:
#
# Copyright 2008 FocalMedia.Net All Rights Reserved.
#
# Selling the code for this program without prior written consent 
# from FocalMedia.Net is expressly forbidden. You may not 
# redistribute this program in any shape or form.
# 
# This program is distributed "as is" and without warranty of any
# kind, either express or implied. In no event shall the liability 
# of FocalMedia.Net for any damages, losses and/or causes of action 
# exceed the total amount paid by the user for this software.
#
########################################################################

#### EDIT HERE -- FOR WINDOWS/IIS BASED INSTALLATIONS ONLY #######

$config_cgi = "../config.cgi"; ## <-- CHANGE THIS LINE TO THE FULL SERVER PATH TO config.cgi

# THE PATH ON A WINDOWS INSTALLATION WILL LOOK SOMETHING LIKE THIS:
# $config_cgi = "c:/inetpub/webpub/cgi-bin/pseek/config.cgi";

#### DO NOT CHANGE ANYTHING BELOW THIS LINE #################

$default_permissions = 0777; ### PERMISSIONS THAT IS USED FOR DATA FILES  

#use FindBin;
#use lib $FindBin::Bin;
use CGI;
use DBI;
use acs;
use psfp;
use Time::Local; 
use obbuild;

&get_setup;
$q = CGI->new;

acs::check_access($username, $password, $q->param('username'), $q->param('password'));

$default_permissions = 0777; ### PERMISSIONS THAT IS USED FOR TEMPORARY DATA FILES 

##################################################################################

print "Content-type: text/html\n\n";
if ($q->param('fct') eq "") {&start;}
if ($q->param('fct') eq "add_include") {&add_include;}
if ($q->param('fct') eq "add_include_final") {&add_include_final;}
if ($q->param('fct') eq "edit") {&sub_edit_incl;}
if ($q->param('fct') eq "save_settings") {&save_settings;}
if ($q->param('fct') eq "delete") {&delete_include;}
if ($q->param('fct') eq "preview") {&preview;}
if ($q->param('fct') eq "html") {&get_html_code;}

#############################################################



sub get_html_code
{

$iname = $q->param('iname');

$fullpath = "$web_dir/$iname.js";
$urlpath = "$web_url/$iname.js";

$head_script = <<END_OF_HS;
<script SRC="$urlpath"></script>
END_OF_HS

##################

$body_script = <<END_OF_BS;
<script LANGUAGE="JavaScript" TYPE="text/javascript">
<!--
get_$iname();
// -->
</script>
END_OF_BS

#### WRITE JAVASCRIPT INCLUDE

$allcats = psfp::generate_categories("$iname.fpi");
$allcats =~ s/\n/ /g;
$crit = chr(10); $allcats =~ s/$crit/ /g;
$crit = chr(13); $allcats =~ s/$crit/ /g;
$allcats =~ s/'/\\'/g;

open (FPS, "> $fullpath");
	print FPS "function get_$iname()\n";
	print FPS "{\n";
	print FPS "document.write ('" . $allcats . "');\n";
	print FPS "}\n";
close (FPS);

chmod($default_permissions,"$fullpath","$fullpath"); 


$hbox = acs::get_heading_box("$web_url/ic_cat.gif", "Generate Category Include & Get Include HTML Code", qq[
Copy and paste the HTML code below into your web pages or PowerSeek templates.<BR>
<b><a href="$admin_url/admin48.cgi">Go Back</a></b>
]);


print <<END_OF_GENI;
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>
$hbox

<blockquote>
  <p class="normaltext"><strong>The include was created and placed in: <br>
  </strong>$fullpath <strong><br>
  or <br>
  </strong>$urlpath </p>
</blockquote>

<hr noshade size="1" color="#F2F2F2">

<p class="normaltext">Include Name:<strong> $iname </strong></p>

<p class="normaltext"><strong>Note that the includes are generated just like HTML files. </strong>This means
that the includes will be automatically updated/generated when you generate your HTML
files. </p>

<table border="0" cellpadding="6" width="100%" style="border: 1px solid rgb(218,218,218)"
cellspacing="1">
  <tr>
    <td width="101%" valign="top" background="$web_url/bar6.gif" class="normaltext"><strong>HTML CODE: </strong></td>
  </tr>
  <tr>
    <td width="101%" valign="top"><span class="normaltext">Below is HTML Code or JavaScript code which you can place
    inside existing web pages or templates of PowerSeek. </span>
      <form method="POST"
    action="--WEBBOT-SELF--">
      <span class="normaltext">
<!--webbot bot="SaveResults" startspan U-File="_private/form_results.txt"
      S-Format="TEXT/CSV" S-Label-Fields="TRUE" -->
<!--webbot bot="SaveResults" endspan -->
      </span>
      <p class="normaltext"><strong>Place
      the following between the body tags of web pages or PowerSeek templates. You can place
      this code any where inside the body tags where you would like the link includes to be
      displayed. </strong></p>
      <p class="normaltext">
        <textarea rows="10" name="S2" cols="46" style="width:100%">$head_script $body_script</textarea>
      </p>
    </form>    </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF" class="normaltext"><font color="#FFFFFF">_</font> </td>
    <td width="99%"></td>
  </tr>
</table>

<p class="normaltext"><strong>Includes are also automatically created or updated when you generate/build HTML
files. </strong></p>

<p class="normaltext"><a href="$admin_url/admin48.cgi"><strong>Go Back </strong></a></p>

</body>
</html>

END_OF_GENI


}




sub preview
{
$filename = $q->param('iname');
$allcats = psfp::generate_categories("$filename.fpi");
print $allcats;
}



sub delete_include
{
$filename = $q->param('iname');
unlink ("$data_dir/$filename.fpi"); 


$hbox = acs::get_heading_box("$web_url/ic_cat.gif", "Category Include Deleted", qq[
<a href="$admin_url/admin48.cgi">Click Here to Continue</a>
]);


print <<END_OF_ADM;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css" />
</head>
<body>
$hbox
</body>
</html>

END_OF_ADM
}



sub save_settings
{

if ($q->param('cell_height') eq "")
	{
	acs::problem_popup("You have to provide a value for the height of cells.");
	}

if ($q->param('cell_spacing') eq "")
	{
	acs::problem_popup("You have to provide a value for the table cell spacing.");
	}

if ($q->param('table_padding') eq "")
	{
	acs::problem_popup("You have to provide a value for the table cell padding.");
	}

if ($q->param('main_cat_font') eq "")
	{
	acs::problem_popup("You have to provide a value for the main category font that will be used.");
	}

if ($q->param('main_cat_font_size') eq "")
	{
	acs::problem_popup("You have to provide a value for the main category font size that will be used.");
	}

if ($q->param('crosslinkid') eq "")
	{
	acs::problem_popup("You have to provide a category where it's sub categories will be displayed within the include.");
	}

if ($q->param('crosslinkid') ne "0")
	{
	$iresult = &check_cat($q->param('crosslinkid'));
	if ($iresult ne "") {acs::problem_popup("The category ID you specified does not exist.");}
	}

$filename = $q->param('iname');

open (FPS, "> $data_dir/$filename.fpi");
	print FPS $q->param('cols') . "\n";									### 0
	print FPS $q->param('cell_spacing') . "\n";						### 1
	print FPS $q->param('table_padding') . "\n";						### 2
	print FPS $q->param('table_back') . "\n";							### 3
	print FPS $q->param('cell_back') . "\n";							### 4
	print FPS $q->param('cat_diz') . "\n";								### 5
	print FPS $q->param('sub_dirs_include') . "\n";					### 6
	print FPS $q->param('subcat_number') . "\n";						### 7
	print FPS $q->param('link_numbers') . "\n";						### 8
	print FPS $q->param('frontpage_file_loc') . "\n";				### 9
	print FPS $q->param('automatically_build_fp') . "\n";			### 10
	print FPS $q->param('include_frontpage_template') . "\n";	### 11
	print FPS $q->param('main_cat_font') . "\n";						### 12
	print FPS $q->param('main_cat_font_size') . "\n";				### 13
	print FPS $q->param('sub_cat_font') . "\n";						### 14
	print FPS $q->param('sub_cat_font_size') . "\n";				### 15 
	print FPS $q->param('cell_height') . "\n";						### 16 cell_height
	print FPS $q->param('diz_font') . "\n";							### 17 diz_font
	print FPS $q->param('diz_font_size') . "\n";						### 18 diz_font_size
	print FPS $q->param('subseperate') . "\n";						### 19 subcategory seperator
	print FPS $q->param('newlinks') . "\n";							### 20 new graphic
	print FPS $q->param('crosslinkid') . "\n";									### 21 cid
	
	print FPS $q->param('main_bold') . ":" .  $q->param('main_italic') . "\n"; ### 22 MAIN CATEGORY BOLD ITALIC
	
	print FPS $q->param('subetc') . "\n";								### 23 What text should be displayed at the end of the sub category listing:
	
	print FPS $q->param('sub_bold') . ":" .  $q->param('sub_italic') . "\n"; ### 24 SUB CATEGORY BOLD ITALIC
	
	print FPS $q->param('diz_bold') . ":" .  $q->param('diz_italic') . "\n"; ### 25 DESCRIPTION BOLD ITALIC
	
	$not_included = $q->param('not_included');
	$not_included =~ s/\n/ /g;
	$crit = chr(10); $not_included =~ s/$crit/ /g;
	$crit = chr(13); $not_included =~ s/$crit/ /g;
	$not_included =~ s/ //g;
	print FPS $not_included . "\n"; ### 26 CATEGORIES NOT TOO DISPLAY

	
close (FPS);


$hbox = acs::get_heading_box("$web_url/ic_cat.gif", "Category Include Saved", qq[
<a href="$admin_url/admin48.cgi">Click Here to Continue</a>
]);


print <<END_OF_ADM;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css" />
</head>
<body>
$hbox
</body>
</html>

END_OF_ADM

}




sub sub_edit_incl
{

$filename = $q->param('iname');
$iname = $q->param('iname');

$fpsettings = acs::get_file_contents("$data_dir/$filename.fpi");
(@fp_settings) = split (/\n/, $fpsettings);

#0  cols
$col_selv[$fp_settings[0]] = "selected";

#1  cell_spacing
$cell_spacing = $fp_settings[1];

#2  table_padding
$table_padding = $fp_settings[2];

#3  table_back
$table_back = $fp_settings[3];

#4  cell_back
$cell_back = $fp_settings[4];

#5  cat_diz
if ($fp_settings[5] eq "Yes")
	{
	$cat_diz[0] = "selected";
	}
	else
	{
	$cat_diz[1] = "selected";
	}


#6  sub_dirs_include

if ($fp_settings[6] eq "Yes")
	{
	$sub_dirs_include[0] = "selected";
	}
	else
	{
	$sub_dirs_include[1] = "selected";
	}

#7  subcat_number
#$subcat_number[$fp_settings[7]] = "selected";
$subcat_number = $fp_settings[7];
$subseperate = $fp_settings[19];

#8  link_numbers
if ($fp_settings[8] eq "Yes")
	{
	$link_numbers[0] = "selected";
	}
	else
	{
	$link_numbers[1] = "selected";
	}


#9  frontpage_file_loc
$frontpage_file_loc = $fp_settings[9];
if ($frontpage_file_loc eq ""){$frontpage_file_loc = "$web_dir/index.html";}


#10 automatically_build_fp
if ($fp_settings[10] eq "Yes")
	{
	$automatically_build_fp[0] = "selected";
	}
	else
	{
	$automatically_build_fp[1] = "selected";
	}


#11 include_frontpage_template
if ($fp_settings[11] eq "Yes")
	{
	$include_frontpage_template[0] = "selected";
	}
	else
	{
	$include_frontpage_template[1] = "selected";
	}


#12 
$main_cat_font = $fp_settings[12];

#13
$main_cat_font_size = $fp_settings[13];

#14
$sub_cat_font = $fp_settings[14];

#15
$sub_cat_font_size = $fp_settings[15];

#16 cell_height
$cell_height = $fp_settings[16];

#17 diz font
$diz_font = $fp_settings[17];

#18 diz font size
$diz_font_size = $fp_settings[18];

if ($fp_settings[20] eq "Yes")
	{
	$newl_yes = "selected";
	}
	else
	{
	$newl_no = "selected";
	}





#### 22 Main Category Bold Italic

($main_bold, $main_italic) = split (/:/, $fp_settings[22]);

if ($main_bold eq "Y"){$main_bold_checked = "checked";}
if ($main_italic eq "Y"){$main_italic_checked = "checked";}

### 23 What text should be displayed at the end of the sub category listing:

$subetc = $fp_settings[23];

### 24 SUB CATEGORY BOLD ITALIC

($sub_bold, $sub_italic) = split (/:/, $fp_settings[24]);

if ($sub_bold eq "Y"){$sub_bold_checked = "checked";}
if ($sub_italic eq "Y"){$sub_italic_checked = "checked";}

### 25 DESCRIPTION BOLD ITALIC

($diz_bold, $diz_italic) = split (/:/, $fp_settings[25]);

if ($diz_bold eq "Y"){$diz_bold_checked = "checked";}
if ($diz_italic eq "Y"){$diz_italic_checked = "checked";}

### 26 CATEGORY IDS NOT TO DISPLAY
$not_included = $fp_settings[26];



$hbox = acs::get_heading_box("$web_url/ic_cat.gif", "Edit Category Include", qq[
<b><a href="$admin_url/admin48.cgi">Go Back</a></b>
]);


print <<END_OF_SET;
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css" />

<script LANGUAGE="JavaScript">
<!-- Hide

  function popup(loc,ww,hh)
   {
    var mywidth = (ww + 0);
    var myheight = (hh + 0);
    var myspecs = "'menubar=0,status=1,resizable=1,location=0,titlebar=1,toolbar=1,scrollbars=1,width=" + mywidth + ",height=" + myheight + "'";
	var random = parseInt(Math.random()*10000)

	  var popupwin = null;
      myWindow = open (loc, popupwin + random, myspecs);
      myWindow.moveTo(400,0);
      myWindow.focus();

    }
 // End Hide -->
 </script> 


</head>
<body>

$hbox


<form method="POST" action="$admin_url/admin48.cgi" name="addu">
  <input type="hidden" name="fct" value="save_settings"><input type="hidden" name="iname"
  value="$iname"><table border="0" cellspacing="1" width="100%" cellpadding="6"
  bgcolor="#C0C0C0" height="46">
    <tr>
      <td width="100%" height="30" colspan="2" background="$web_url/bar6.gif" bgcolor="#FFFFFF" class="normaltext"><strong>Edit
      Category Include:</strong></td>
    </tr>
    <tr>
      <td width="33%" height="50" bgcolor="#F8F8F8" class="normaltext"><strong>Include Name: </strong></td>
      <td width="67%" height="50" bgcolor="#F8F8F8" class="normaltext"><strong>$iname </strong></td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="top" bgcolor="#F8F8F8" class="normaltext"><strong>Category
      ID: </strong></td>
      <td width="67%" height="50" bgcolor="#F8F8F8" class="normaltext"><input type="text" name="crosslinkid" size="16"
      value="$fp_settings[21]"> 

<b>(<a href="$admin_url/admin67.cgi" onClick="popup('$admin_url/admin67.cgi',750,600);return false;">Browser</a>)</b><br>
	   This is the ID of a category of which you would like sub categories displayed from.
      If you want to display the categories like they are listed on your front page insert <b>0
      (zero).</b> <p>You can assign a category ID by clicking the 'Browser' link above.
      
      
      </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="top" bgcolor="#FFFFFF" class="normaltext"> Number
      of columns to use? </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><select name="cols" size="1">
        <option $col_selv[0] value="0"> 1 </option>
        <option $col_selv[1] value="1"> 2 </option>
        <option $col_selv[2] value="2"> 3 </option>
        <option $col_selv[3] value="3"> 4 </option>
        <option $col_selv[4] value="4"> 5 </option>
      </select> <br>
      &nbsp; <br>
      <strong>Help <br>
      </strong>This is the number of columns that will be used to place main categories in. <strong><br>
      </strong></td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="top" bgcolor="#FFFFFF" class="normaltext">Cell height: </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="cell_height"
      size="5" value="$cell_height"> Pixels <br>
      <strong>&nbsp;&nbsp; <br>
      Help </strong><br>
      This will be the height of the cells that contains the categories. <br>
      &nbsp;&nbsp; </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="top" bgcolor="#FFFFFF" class="normaltext">Table Cell
      Spacing? </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="cell_spacing"
      size="5" value="$cell_spacing"> <br>
      &nbsp;&nbsp; <br>
      <strong>Help </strong><br>
      This number represents the spacing that will be used between tables. The larger the
      number, the larger the spacing used. <br>
      &nbsp;&nbsp; </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="top" bgcolor="#FFFFFF" class="normaltext">Table Cell
      Padding? </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="table_padding"
      size="5" value="$table_padding"> <strong><br>
      &nbsp;&nbsp; <br>
      Help </strong><br>
      This number represents the spacing that will be used within table cells. The larger the
      number, the larger the spacing used. </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#FFFFFF" class="normaltext">Table Background
      Color? </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="table_back"
      size="15" value="$table_back"> (Leave blank to use default color which is none) For
      example: #FFFFFF </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#FFFFFF" class="normaltext">Cell Background
      Colors in Table: </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="cell_back"
      size="15" value="$cell_back"> (Leave blank to use default color which is none)&nbsp; For
      example: #F4F4F4 </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#F8F8F8" class="normaltext">Main Category
      Font: </td>
      <td width="67%" height="50" bgcolor="#F8F8F8" class="normaltext"><input type="text" name="main_cat_font"
      size="15" value="$main_cat_font"> For example: (Verdana or Arial, etc..) </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#F8F8F8" class="normaltext">Main Category Font
      Size: </td>
      <td width="67%" height="50" bgcolor="#F8F8F8" class="normaltext"><input type="text" name="main_cat_font_size"
      size="3" value="$main_cat_font_size"> </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#F8F8F8" class="normaltext">Main Category Font
      Style: </td>
      <td width="67%" height="50" bgcolor="#F8F8F8" class="normaltext"><input type="checkbox" name="main_bold"
      value="Y" $main_bold_checked> Bold <input type="checkbox" name="main_italic" value="Y"
      $main_italic_checked> Italic </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#FFFFFF" class="normaltext">Would you like to
      include sub directories/categories beneath main categories/directories? </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><select name="sub_dirs_include" size="1">
        <option $sub_dirs_include[0] value="Yes"> Yes </option>
        <option $sub_dirs_include[1] value="No"> No </option>
      </select> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#FFFFFF" class="normaltext">If you specified
      above to include sub categories/directories, how many sub categories would you like to
      list under main categories? </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="subcat_number"
      size="4" value="$subcat_number"> </td>
    </tr>
    <tr>
      <td width="33%" align="left" valign="middle" bgcolor="#FFFFFF" class="normaltext">By what should subcategories
      be seperated by: </td>
      <td width="67%" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="subseperate" size="8"
      value="$subseperate"> </td>
    </tr>
    <tr>
      <td width="33%" align="left" valign="middle" bgcolor="#FFFFFF" class="normaltext">What text should be displayed
      at the end of the sub category listing: </td>
      <td width="67%" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="subetc" size="8"
      value="$subetc"> For example, <strong>Etc... </strong></td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#FFFFFF" class="normaltext">Sub Category Font:      </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="sub_cat_font"
      size="15" value="$sub_cat_font"> For example: (Verdana or Arial, etc..) </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#FFFFFF" class="normaltext">Sub Category Font
      Size: </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="sub_cat_font_size"
      size="3" value="$sub_cat_font_size"> </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#FFFFFF" class="normaltext">Sub Category Font
      Style: </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="checkbox" name="sub_bold"
      value="Y" $sub_bold_checked> Bold <input type="checkbox" name="sub_italic" value="Y"
      $sub_italic_checked> Italic </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="top" bgcolor="#F8F8F8" class="normaltext">Would you like
      descriptions beneath main categories? </td>
      <td width="67%" height="50" bgcolor="#F8F8F8" class="normaltext"><select name="cat_diz" size="1">
        <option $cat_diz[0] value="Yes"> Yes </option>
        <option $cat_diz[1] value="No"> No </option>
      </select> <br>
      <strong>&nbsp;&nbsp; <br>
      Help </strong><br>
      The Meta descriptions specified for the main categories will be used if this is set to
      'Yes'. <br>
      &nbsp;&nbsp;&nbsp;&nbsp; </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#F8F8F8" class="normaltext">Description Font: </td>
      <td width="67%" height="50" bgcolor="#F8F8F8" class="normaltext"><input type="text" name="diz_font" size="15"
      value="$diz_font"> For example: (Verdana or Arial, etc..) </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#F8F8F8" class="normaltext">Description Font
      Size: </td>
      <td width="67%" height="50" bgcolor="#F8F8F8" class="normaltext"><input type="text" name="diz_font_size"
      size="3" value="$diz_font_size"> </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#F8F8F8" class="normaltext">Description Font
      Style: </td>
      <td width="67%" height="50" bgcolor="#F8F8F8" class="normaltext"><input type="checkbox" name="diz_bold"
      value="Y" $diz_bold_checked> Bold <input type="checkbox" name="diz_italic" value="Y"
      $diz_italic_checked> Italic </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="top" bgcolor="#FFFFFF" class="normaltext">Include link
      numbers next to categories? </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><select name="link_numbers" size="1">
        <option $link_numbers[0] value="Yes"> Yes </option>
        <option $link_numbers[1] value="No"> No </option>
      </select> <br>
      <strong>&nbsp;&nbsp; <br>
      Help </strong><br>
      The numbers that will be shown next to categories will represent the number of links
      inside the categories. <br>
      &nbsp;&nbsp;&nbsp; </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#F8F8F8" class="normaltext">Would you like to
      display a New graphic next to Categories that had new links added recently? </td>
      <td width="67%" height="50" bgcolor="#F8F8F8" class="normaltext"><select name="newlinks" size="1">
        <option $newl_yes value="Yes"> Yes </option>
        <option $newl_no value="No"> No </option>
      </select> </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="top" bgcolor="#FFFFFF" class="normaltext">If you do not want
      to list certain categories, specify thier category IDs here: <br>
      <strong>(Seperate Category ID's via comma) </strong></td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><textarea rows="5" name="not_included"
      cols="54">$not_included</textarea> <br>
      You can get category IDs 'Stats + Tree' link when in the 'Dir Manager'
      &nbsp; </td>
    </tr>
    <tr>
      <td width="33%" bgcolor="#F8F8F8" align="left" height="50" valign="top"></td>
      <td width="67%" bgcolor="#F8F8F8" height="50"><input type="submit" value="   Save   "
      name="B2"> </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
      <td width="99%"></td>
    </tr>
  </table>
</form>


</body>
</html>


END_OF_SET


}




sub add_include_final
{

for ($ms = 0; $ms < length($q->param('iname')); $ms++) 
	{
	$oneletter = substr($q->param('iname'), $ms, 1);
	if (($oneletter !~ /[0-9a-zA-Z]/) and ($oneletter ne "_"))
		{
		acs::problem_popup("The include name you specified contains invalid characters. Please use only numerical characters or characters present in the english alphabet.");
		}
	} 
	
if ($q->param('iname') eq "")
	{
	acs::problem_popup("You have to provide a name for the include.");
	}	

if ($q->param('cell_height') eq "")
	{
	acs::problem_popup("You have to provide a value for the height of cells.");
	}

if ($q->param('cell_spacing') eq "")
	{
	acs::problem_popup("You have to provide a value for the table cell spacing.");
	}

if ($q->param('table_padding') eq "")
	{
	acs::problem_popup("You have to provide a value for the table cell padding.");
	}

if ($q->param('main_cat_font') eq "")
	{
	acs::problem_popup("You have to provide a value for the main category font that will be used.");
	}

if ($q->param('main_cat_font_size') eq "")
	{
	acs::problem_popup("You have to provide a value for the main category font size that will be used.");
	}

if ($q->param('crosslinkid') eq "")
	{
	acs::problem_popup("You have to provide a category where it's sub categories will be displayed within the include.");
	}

if ($q->param('crosslinkid') != 0)
	{
	$iresult = &check_cat($q->param('crosslinkid'));
	if ($iresult ne "") {acs::problem_popup("The category ID you specified does not exist.");}
	}

if ((-e "$data_dir/$filename.js") > 0)
	{
	acs::problem_popup("The include name you are trying to use would create conflicts with other includes. Please choose another name for the include.");
	}

######## GET CATEGORY NAME AND LEVEL

$filename = $q->param('iname');

open (FPS, "> $data_dir/$filename.fpi");
	print FPS $q->param('cols') . "\n";									### 0
	print FPS $q->param('cell_spacing') . "\n";						### 1
	print FPS $q->param('table_padding') . "\n";						### 2
	print FPS $q->param('table_back') . "\n";							### 3
	print FPS $q->param('cell_back') . "\n";							### 4
	print FPS $q->param('cat_diz') . "\n";								### 5
	print FPS $q->param('sub_dirs_include') . "\n";					### 6
	print FPS $q->param('subcat_number') . "\n";						### 7
	print FPS $q->param('link_numbers') . "\n";						### 8
	print FPS $q->param('frontpage_file_loc') . "\n";				### 9
	print FPS $q->param('automatically_build_fp') . "\n";			### 10
	print FPS $q->param('include_frontpage_template') . "\n";	### 11
	print FPS $q->param('main_cat_font') . "\n";						### 12
	print FPS $q->param('main_cat_font_size') . "\n";				### 13
	print FPS $q->param('sub_cat_font') . "\n";						### 14
	print FPS $q->param('sub_cat_font_size') . "\n";				### 15 
	print FPS $q->param('cell_height') . "\n";						### 16 cell_height
	print FPS $q->param('diz_font') . "\n";							### 17 diz_font
	print FPS $q->param('diz_font_size') . "\n";						### 18 diz_font_size
	print FPS $q->param('subseperate') . "\n";						### 19 subcategory seperator
	print FPS $q->param('newlinks') . "\n";							### 20 new graphic
	print FPS $q->param('crosslinkid') . "\n";									### 21 cid, encoded category, level
	

	print FPS $q->param('main_bold') . ":" .  $q->param('main_italic') . "\n"; ### 22 MAIN CATEGORY BOLD ITALIC
	
	print FPS $q->param('subetc') . "\n";								### 23 What text should be displayed at the end of the sub category listing:
	
	print FPS $q->param('sub_bold') . ":" .  $q->param('sub_italic') . "\n"; ### 24 SUB CATEGORY BOLD ITALIC
	
	print FPS $q->param('diz_bold') . ":" .  $q->param('diz_italic') . "\n"; ### 25 DESCRIPTION BOLD ITALIC
	
	$not_included = $q->param('not_included');
	$not_included =~ s/\n/ /g;
	$crit = chr(10); $not_included =~ s/$crit/ /g;
	$crit = chr(13); $not_included =~ s/$crit/ /g;
	$not_included =~ s/ //g;
	print FPS $not_included . "\n"; ### 26 CATEGORIES NOT TOO DISPLAY
	
close (FPS);

chmod($default_permissions,"$data_dir/$filename.fpi","$data_dir/$filename.fpi"); 


###################

$hbox = acs::get_heading_box("$web_url/ic_cat.gif", "Category Include Added", qq[
<a href="$admin_url/admin48.cgi">Click Here to Continue.</a>
]);

print <<END_OF_ADM;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css" />
</head>
<body>
$hbox
</body>
</html>

END_OF_ADM



}



sub check_cat
{
my ($cidval) = @_;

if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }

$sql = "SELECT * FROM dirs WHERE cid = '$cidval'";
$sth = $dbh->prepare($sql); 
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror";}
$rows = $sth->rows(); 

if ($rows < 1)
	{
	$rvall = "false";
	}

$sth->finish;
$dbh->disconnect; 

return ($rvall);
}




sub add_include
{

#######

$hbox = acs::get_heading_box("$web_url/ic_cat.gif", "Add Category Include", qq[
<b><a href="$admin_url/admin48.cgi">Go Back</a></b>
]);


print <<END_OF_INCL;
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css" />

<script LANGUAGE="JavaScript">
<!-- Hide

  function popup(loc,ww,hh)
   {
    var mywidth = (ww + 0);
    var myheight = (hh + 0);
    var myspecs = "'menubar=0,status=1,resizable=1,location=0,titlebar=1,toolbar=1,scrollbars=1,width=" + mywidth + ",height=" + myheight + "'";
	var random = parseInt(Math.random()*10000)

	  var popupwin = null;
      myWindow = open (loc, popupwin + random, myspecs);
      myWindow.moveTo(400,0);
      myWindow.focus();

    }
 // End Hide -->
 </script> 

</head>
<body>
$hbox



<form method="POST" action="$admin_url/admin48.cgi" name="addu">
  <input type="hidden" name="fct" value="add_include_final"><table border="0"
  cellspacing="1" width="100%" cellpadding="6" bgcolor="#DADADA" height="46">
    <tr>
      <td width="100%" height="30" colspan="2" align="left" valign="top"
      background="$web_url/bar6.gif" bgcolor="#FFFFFF" class="normaltext"><strong class="normaltext">Add Category Include</strong></td>
    </tr>
    <tr>
      <td width="33%" height="50" valign="top" bgcolor="#FFFFFF" class="normaltext"><strong>Include
      Name:</strong></td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="iname" size="26"> 
         (Choose a Name) <br>
      Only Alphabetical and Numerical Characters Allowed </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="top" bgcolor="#FFFFFF" class="normaltext"><strong>Category
      ID: </strong></td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="crosslinkid" size="13"> 
      <b>(<a href="$admin_url/admin67.cgi" onClick="popup('$admin_url/admin67.cgi',750,600);return false;">Browser</a>)</b><br>
	   This is the ID of a category of which you would like sub categories displayed from.
      If you want to display the categories like they are listed on your front page insert <b>0
      (zero).</b> <p>You can assign a category ID by clicking the 'Browser' link above.</td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="top" bgcolor="#FFFFFF" class="normaltext"><p>Number
      of columns to use?</td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><p>
        <select name="cols" size="1">
          <option value="0"> 1 </option>
          <option value="1"> 2 </option>
          <option selected value="2"> 3 </option>
          <option value="3"> 4 </option>
          <option value="4"> 5 </option>
        </select> 
        <br>
        &nbsp; <br>
        <strong>Help <br>
          </strong>This is the number of columns that will be used to place main categories in.<br>
           <strong><br>
          </strong></p>
      </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="top" bgcolor="#FFFFFF" class="normaltext">Cell height: </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="cell_height"
      size="5" value="20"> Pixels <br>
      <strong>&nbsp;&nbsp; <br>
      Help </strong><br>
      This will be the height of the cells that contains the categories. <br>
      &nbsp;&nbsp; </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="top" bgcolor="#FFFFFF" class="normaltext">Table Cell
      Spacing? </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="cell_spacing"
      size="5" value="1"> <br>
      &nbsp;&nbsp; <br>
      <strong>Help </strong><br>
      This number represents the spacing that will be used between tables. The larger the
      number, the larger the spacing used. <br>
      &nbsp;&nbsp; </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="top" bgcolor="#FFFFFF" class="normaltext">Table Cell
      Padding? </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="table_padding"
      size="5" value="8"> <strong><br>
      &nbsp;&nbsp; <br>
      Help </strong><br>
      This number represents the spacing that will be used within table cells. The larger the
      number, the larger the spacing used. </td>
    </tr>
    <tr>
      <td width="33%" height="50" valign="middle" bgcolor="#FFFFFF" class="normaltext">Table Background
      Color? </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="table_back"
      size="15" value> (Leave blank to use default color which is none) For example: #FFFFFF </td>
    </tr>
    <tr>
      <td width="33%" height="50" valign="middle" bgcolor="#FFFFFF" class="normaltext">Cell Background
      Colors in Table: </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="cell_back"
      size="15" value> (Leave blank to use default color which is none)&nbsp; For example:
      #F4F4F4 </td>
    </tr>
    <tr>
      <td width="33%" height="50" valign="middle" bgcolor="#F8F8F8" class="normaltext">Main Category
      Font: </td>
      <td width="67%" height="50" bgcolor="#F8F8F8" class="normaltext"><input type="text" name="main_cat_font"
      size="15" value="Verdana"> For example: (Verdana or Arial, etc..) </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#F8F8F8" class="normaltext">Main Category Font
      Size: </td>
      <td width="67%" height="50" bgcolor="#F8F8F8" class="normaltext"><input type="text" name="main_cat_font_size"
      size="3" value="2"> </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#F8F8F8" class="normaltext">Main Category Font
      Style: </td>
      <td width="67%" height="50" bgcolor="#F8F8F8" class="normaltext"><input type="checkbox" name="main_bold"
      value="Y" $main_bold_checked> Bold <input type="checkbox" name="main_italic" value="Y"
      $main_italic_checked> Italic </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#FFFFFF" class="normaltext">Would you like to
      include sub directories/categories beneath main categories/directories? </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><select name="sub_dirs_include" size="1">
        <option selected value="Yes"> Yes </option>
        <option value="No"> No </option>
      </select> </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#FFFFFF" class="normaltext">If you specified
      above to include sub categories/directories, how many sub categories would you like to
      list under main categories? </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="subcat_number"
      size="4" value="3"> </td>
    </tr>
    <tr>
      <td width="33%" align="left" valign="middle" bgcolor="#FFFFFF" class="normaltext">By what should subcategories
      be seperated by: </td>
      <td width="67%" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="subseperate" size="8"
      value=", "> </td>
    </tr>
    <tr>
      <td width="33%" align="left" valign="middle" bgcolor="#FFFFFF" class="normaltext">What text should be displayed
      at the end of the sub category listing: </td>
      <td width="67%" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="subetc" size="8" value=", Etc.">
      For example, <strong>Etc... </strong></td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#FFFFFF" class="normaltext">Sub Category Font:      </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="sub_cat_font"
      size="15" value="Verdana"> For example: (Verdana or Arial, etc..) </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#FFFFFF" class="normaltext">Sub Category Font
      Size: </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="text" name="sub_cat_font_size"
      size="3" value="1"> </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#FFFFFF" class="normaltext">Sub Category Font
      Style: </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><input type="checkbox" name="sub_bold"
      value="Y" $sub_bold_checked> Bold <input type="checkbox" name="sub_italic" value="Y"
      $sub_italic_checked> Italic </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="top" bgcolor="#F8F8F8" class="normaltext">Would you like
      descriptions beneath main categories? </td>
      <td width="67%" height="50" bgcolor="#F8F8F8" class="normaltext"><select name="cat_diz" size="1">
        <option value="Yes"> Yes </option>
        <option selected value="No"> No </option>
      </select> <br>
      <strong>&nbsp;&nbsp; <br>
      Help </strong><br>
      The Meta descriptions specified for the main categories will be used if this is set to
      'Yes'. <br>
      &nbsp;&nbsp;&nbsp;&nbsp; </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#F8F8F8" class="normaltext">Description Font: </td>
      <td width="67%" height="50" bgcolor="#F8F8F8" class="normaltext"><input type="text" name="diz_font" size="15"
      value="Verdana"> For example: (Verdana or Arial, etc..) </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#F8F8F8" class="normaltext">Description Font
      Size: </td>
      <td width="67%" height="50" bgcolor="#F8F8F8" class="normaltext"><input type="text" name="diz_font_size"
      size="3" value="1"> </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#F8F8F8" class="normaltext">Description Font
      Style: </td>
      <td width="67%" height="50" bgcolor="#F8F8F8" class="normaltext"><input type="checkbox" name="diz_bold"
      value="Y" $diz_bold_checked> Bold <input type="checkbox" name="diz_italic" value="Y"
      $diz_italic_checked> Italic </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="top" bgcolor="#FFFFFF" class="normaltext">Include link
      numbers next to categories? </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><select name="link_numbers" size="1">
        <option selected value="Yes"> Yes </option>
        <option value="No"> No </option>
      </select> <br>
      <strong>&nbsp;&nbsp; <br>
      Help </strong><br>
      The numbers that will be shown next to categories will represent the number of links
      inside the categories. <br>
      &nbsp;&nbsp;&nbsp; </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="middle" bgcolor="#FFFFFF" class="normaltext">Would you like to
      display a New graphic next to Categories that had new links added recently? </td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><select name="newlinks" size="1">
        <option selected value="Yes"> Yes </option>
        <option value="No"> No </option>
      </select> </td>
    </tr>
    <tr>
      <td width="33%" height="50" align="left" valign="top" bgcolor="#FFFFFF" class="normaltext">If you do not want
      to list certain categories, specify thier category IDs here: <br>
      <strong>(Seperate Category ID's via comma) </strong></td>
      <td width="67%" height="50" bgcolor="#FFFFFF" class="normaltext"><textarea rows="5" name="not_included"
      cols="54">$not_included</textarea> <br>
      You can get category IDs by clicking the 'Dir Manager' tab in the PowerSeek Control Panel.
      Then click the 'edit' link next to any existing category. After that scroll down to
      'Related Categories' - then press the 'Browser' button next to the fill-in-field. <br>
      &nbsp; </td>
    </tr>
    <tr>
      <td width="33%" bgcolor="#FFFFFF" align="left" height="50" valign="top"></td>
      <td width="67%" bgcolor="#FFFFFF" height="50"><input type="submit" value="   Add   "
      name="B2"> </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
      <td width="99%"></td>
    </tr>
  </table>
</form>



</body>
</html>

END_OF_INCL


}



sub start
{

opendir(DIR,"$data_dir");
@files = readdir(DIR);
@files = sort(@files);


foreach $filename (@files)
	{
	if (substr($filename, length($filename) - 4, 4) eq ".fpi")
		{ 
		$fnr++;
		}
	}

#######

if ($fnr > 0)
{
if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }
}


foreach $filename (@files)
	{
	if (substr($filename, length($filename) - 4, 4) eq ".fpi")
		{ 

		$cset = acs::get_file_contents("$data_dir/$filename");
		@csettings = split (/\n/, $cset);

$sql = "SELECT * FROM dirs WHERE cid = '$csettings[21]'";
$sth = $dbh->prepare($sql); 
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror";}
$cnt = 0;
while ( @row = $sth->fetchrow() )
	{ 
	$ecat = "";
	$lv = 0;
	$currcat = "";
	for ($ms = 2; $ms < 18; $ms++) 
		{
		if ($row[$ms] ne "")
			{
			$lv++;
			$ecat = $ecat . acs::encode_dir($row[$ms]) . "-";
			$currcat = $row[$ms];
			}
		}
	}

	chop($ecat);

	$ciname = substr($filename, 0, length($filename) - 4);

	if ($csettings[21] eq "0") 
		{
		$currcat = "Front Page - Main Categories"; 
		}
		else
		{
		$currcat = "<a href=\"$script_url/dirs.cgi?lv=$lv&ct=$ecat\" target=\"_blank\">$currcat</a>"; 
		}

$show_includes = $show_includes . <<END_OFS;
  <tr>
    <td width="20%" bgcolor="#FFFFFF" class="normaltext"><b>$ciname </b></td>
    <td width="40%" bgcolor="#FFFFFF" class="normaltext">$currcat </td>
    <td width="5%" bgcolor="#FFFFFF" class="normaltext" align="center"><a
    href="$admin_url/admin48.cgi?fct=edit&amp;iname=$ciname">Edit </a></td>
    <td width="5%" bgcolor="#FFFFFF" class="normaltext" align="center"><a
    href="$admin_url/admin48.cgi?fct=delete&amp;iname=$ciname">Delete </a></td>
    <td width="25%" bgcolor="#FFFFFF" class="normaltext" align="center"><a
    href="$admin_url/admin48.cgi?fct=html&amp;iname=$ciname">Generate / Get HTML </a></td>
    <td width="5%" bgcolor="#FFFFFF" class="normaltext" align="center"><a
    href="$admin_url/admin48.cgi?fct=preview&amp;iname=$ciname" target="_blank">Preview </a></td>
  </tr>
END_OFS
		}
	}
		
closedir(DIR);


##############
if ($fnr > 0)
{
$sth->finish;
$dbh->disconnect; 
}


$hbox = acs::get_heading_box("$web_url/ic_cat.gif", "Category Includes", qq[<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>
    <td width="94%" valign="top" class="normaltext">Category includes are useful if you want to display
    categories in PowerSeek templates or any external web page. You can also use category
    includes to create more than one index or front page for your Directory.</td>
    <td width="3%" valign="top" align="right"><strong><a
    href="$admin_url/help.cgi?fct=cat_includes" target="_blank"><img src="$web_url/bhelps.gif"
    border="0"></a></strong></td>
  </tr>
</table>


]);
 
if ($show_includes eq "")
	{
	$show_includes = qq[    <tr>
      <td colspan="6" bgcolor="#FFFFFF" class="normaltext">No Category Includes Added Yet.</td>
    </tr>];
	}



print <<END_OF_STR;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css" />
</head>
<body>

$hbox

<form method="POST" action="$admin_url/admin48.cgi">
  <input type="hidden" name="fct" value="add_include"><table border="0" cellspacing="1"
  width="100%" cellpadding="6" bgcolor="#DADADA">
    <tr>
      <td width="100%" height="30" colspan="6" background="$web_url/bar6.gif" class="normaltext"><strong>Category
      Includes </strong></td>
    </tr>
  <tr>
    <td width="20%" bgcolor="#FBFBFB" class="normaltext"><strong>Include Name </strong></td>
    <td width="40%" bgcolor="#FBFBFB" class="normaltext"><strong>Category </strong></td>
    <td width="5%" align="center" bgcolor="#FBFBFB" class="normaltext"><strong>Edit </strong></td>
    <td width="5%" align="center" bgcolor="#FBFBFB" class="normaltext"><strong>Delete </strong></td>
    <td width="25%" bgcolor="#FBFBFB" class="normaltext" align="center"><strong>Get HTML /
    Generate</strong></td>
    <td width="5%" bgcolor="#FBFBFB" class="normaltext" align="center"><strong>Preview </strong></td>
  </tr>
$show_includes
    <tr>
      <td width="100%" colspan="6" bgcolor="#FFFFFF" class="normaltext"><input type="submit"
      value="   Add Category Include   " name="B1"> </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
      <td width="99%"></td>
    </tr>
  </table>
</form>


</body>
</html>

END_OF_STR

}








sub get_setup
{

$exists = (-e "$config_cgi");
if ($exists > 0)
	{
	open (STP, "$config_cgi");
		while (defined($line=<STP>))
			{
			if ($line =~ m/#/g)
				{
				$r = pos($line);
				$line = substr($line, 0, $r - 1);
				}
				
				$line =~ s/\n//g;
	
if ($line =~ /^DB_NAME/){$db_name = &get_setup_line($line, DB_NAME);}
if ($line =~ /^DB_USERNAME/){$db_username = &get_setup_line($line, DB_USERNAME);}
if ($line =~ /^DB_PASSWORD/){$db_password = &get_setup_line($line, DB_PASSWORD);}
if ($line =~ /^MYSQL_HOSTNAME/){$mysql_hostname = &get_setup_line($line, MYSQL_HOSTNAME);}
if ($line =~ /^MYSQL_PORT/){$mysql_port = &get_setup_line($line, MYSQL_PORT);}

if ($line =~ /^SCRIPT_URL/){$script_url = &get_setup_line($line, SCRIPT_URL);}
if ($line =~ /^ADMIN_URL/){$admin_url = &get_setup_line($line, ADMIN_URL);}
if ($line =~ /^WEB_URL/){$web_url = &get_setup_line($line, WEB_URL);}
if ($line =~ /^WEB_DIR/){$web_dir = &get_setup_line($line, WEB_DIR);}
if ($line =~ /^DATA_DIR/){$data_dir = &get_setup_line($line, DATA_DIR);}

if ($line =~ /^USERNAME/){$username = &get_setup_line($line, USERNAME);}
if ($line =~ /^PASSWORD/){$password = &get_setup_line($line, PASSWORD);}


			}
	close (STP);
	
	}
}




sub get_setup_line
{
my ($setup_line, $setup_var) = @_;
$crit = "\"";
$setup_line =~ m/$crit/g;
$r1 = pos($setup_line);
$setup_line =~ m/$crit/g;
$r2 = pos($setup_line);
$setup_line = substr($setup_line, $r1, ($r2 - $r1 - 1));
$return_val = $setup_line;
return ($return_val);
}

#### END CONFIGURATION ########################################################

